package net.shambolica.helperl.pattern.instance;

import com.ericsson.otp.erlang.OtpErlangObject;
import net.shambolica.helperl.pattern.CompositePattern;
import net.shambolica.helperl.pattern.MatchContext;

public class PEq extends CompositePattern {

    final OtpErlangObject value;

    public PEq(OtpErlangObject value) {
        this.value = value;
    }

    @Override
    public boolean bind(OtpErlangObject target, MatchContext context) {
        return target.equals(value);
    }

}
